Package org.opensaml.security.credential.criteria.impl

# Interface EvaluableCredentialCriterion

All Superinterfaces:
  `Criterion`, `Predicate<Credential>`

All Known Implementing Classes:
  `EvaluableEntityIDCredentialCriterion`, `EvaluableKeyAlgorithmCredentialCriterion`, `EvaluableKeyLengthCredentialCriterion`, `EvaluableKeyNameCredentialCriterion`, `EvaluablePublicKeyCredentialCriterion`, `EvaluableUsageCredentialCriterion`, `EvaluableX509CertSelectorCredentialCriterion`, `EvaluableX509DigestCredentialCriterion`, `EvaluableX509IssuerSerialCredentialCriterion`, `EvaluableX509SubjectKeyIdentifierCredentialCriterion`, `EvaluableX509SubjectNameCredentialCriterion`

public interface EvaluableCredentialCriterion extends Predicate<Credential>, Criterion
Marker interface for evaluable credential resolver criteria.

## Method Summary

### Methods inherited from interface java.util.function.Predicate

`and, negate, or, test`